 %define module	brotlipy

Name:		python-%{module}
Version:	0.7.0
Release:	%mkrel 11
Summary:	Python binding to the Brotli library
Group:		Development/Python
License:	MIT
URL:		https://github.com/python-hyper/brotlipy/
Source0:	https://pypi.io/packages/source/b/brotlipy/%{module}-%{version}.tar.gz

BuildRequires:	pkgconfig(python3)
BuildRequires:	python3dist(setuptools)
BuildRequires:	python3dist(cffi)

BuildRequires:	pkgconfig(libffi)

%description
This library contains Python bindings for the reference Brotli
encoder/decoder. This allows Python software to use the Brotli
compression algorithm directly from Python code.

#------------------------------------------------

%package -n	python3-%{module}
Summary:	Python 3 binding to the Brotli library
Group:		Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n	python3-%{module}
This library contains Python 3 bindings for the reference Brotli
encoder/decoder. This allows Python software to use the Brotli
compression algorithm directly from Python 3 code.

#------------------------------------------------

%prep
%setup -q -n %{module}-%{version}
%autopatch -p1

# Remove bundled egg-info
rm -rf %{module}.egg-info

# fix linking issue
sed -i "s|'libbrotli'|'libbrotli', 'm'|" src/brotli/build.py

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc HISTORY.rst LICENSE README.rst
%{python3_sitearch}/brotli/
%{python3_sitearch}/%{module}-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Mar 03 2025 wally <wally> 0.7.0-11.mga10
+ Revision: 2159635
- rebuild for python3.13

* Fri Dec 29 2023 tv <tv> 0.7.0-10.mga10
+ Revision: 2023462
- Rebuild for python-3.12

* Mon Mar 28 2022 umeabot <umeabot> 0.7.0-9.mga9
+ Revision: 1829629
- Mageia 9 Mass Rebuild

* Sat Feb 26 2022 mrambo3501 <mrambo3501> 0.7.0-8.mga9
+ Revision: 1785677
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.7.0-7.mga9
+ Revision: 1707536
- rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 0.7.0-6.mga8
+ Revision: 1608259
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 0.7.0-5.mga8
+ Revision: 1531841
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.7.0-4.mga8
+ Revision: 1441323
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.7.0-3.mga7
+ Revision: 1352362
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1300449
- Mageia 7 Mass Rebuild

* Thu Jan 11 2018 daviddavid <daviddavid> 0.7.0-1.mga7
+ Revision: 1192349
- new version: 0.7.0

* Thu Oct 05 2017 daviddavid <daviddavid> 0.6.0-3.mga7
+ Revision: 1168972
- add missing BR on pythonegg(2,3)(cffi) thus fixing build

* Fri Aug 04 2017 daviddavid <daviddavid> 0.6.0-2.mga7
+ Revision: 1134771
- rebuild for Python 3.6

* Sun Oct 30 2016 daviddavid <daviddavid> 0.6.0-1.mga6
+ Revision: 1064193
- initial package python-brotlipy

